Commit 32575348 authored by Andreas Tille's avatar Andreas Tille
Browse files

New upstream version 2.2.1+dfsg

parent f3f40045
Loading
Loading
Loading
Loading
+5 −0
Original line number Diff line number Diff line
@@ -24,6 +24,11 @@ mvn install

Upon first build all dependencies will be downloaded to the repo, this may require some time.

Also special parameter "-o" allows to use local repostiory after downloading the samples once:
mvn install -o

The current online repostiory org.bioinfo is not available due to some reasons, but there is a local version to download available

3) Run Qualimap

The built jar can be found in target/install subdir of sources folder.

build_src_zip.sh

0 → 100755
+26 −0
Original line number Diff line number Diff line
#/bin/bash


export QUALIMAP_VERSION=`head pom.xml | grep "<version>" | awk 'BEGIN{FS="<";}{print $2}' | awk 'BEGIN{FS=">";}{print $2}'`
export OUTPUT_DIR=qualimap-v$QUALIMAP_VERSION-src
export TIME=`date +%d-%m-%y`

mkdir $OUTPUT_DIR

mvn license:check -Dyear=2016
rc=$?
if [[ $rc != 0 ]] ; then
    exit $rc
fi

git checkout-index --prefix=$OUTPUT_DIR/ -a

zip -r qualimap_v${QUALIMAP_VERSION}_src.zip $OUTPUT_DIR 

#cleanup
rm -rf $OUTPUT_DIR




build_zip.sh

0 → 100755
+25 −0
Original line number Diff line number Diff line
#/bin/bash

# working dir of this script should be ROOT of the sources

# get qualimap version from pom.xml

export QUALIMAP_VERSION=`head pom.xml | grep "<version>" | awk 'BEGIN{FS="<";}{print $2}' | awk 'BEGIN{FS=">";}{print $2}'`

export QUALIMAP_DIR=qualimap_v$QUALIMAP_VERSION

mvn install
mkdir $QUALIMAP_DIR
cp -vR target/install/* $QUALIMAP_DIR

make -C doc latexpdf 
cp -v doc/_build/latex/QualimapManual.pdf $QUALIMAP_DIR

zip -r qualimap_v${QUALIMAP_VERSION}.zip $QUALIMAP_DIR 
#cleanup
rm -rf $QUALIMAP_DIR




+25 −0
Original line number Diff line number Diff line
Version Release History
=======================

Version 2.2 - January 29, 2016
------------------------------

    * BAM QC: added a novel option to control the skipping of duplicate alignments (reported by Patrik Smeds and Vlad Saveliev ) The default mode was switched to marked duplicates only.
    * BAM QC: fixed issue with processing alignments (reported by Roberto Spreafico)
    * BAM QC: fixed fail when zero mapped reads inside of region (reported by Jochen Singer)
    * BAM QC: improved the number of windows output (reported by Alexander Peltzer)
    * BAM QC: integrate mm10 support to command line
    * BAM QC: fixed insert size histogram computation
    * Multisample BAM QC: implmeneted support for per sample groups/conditions
    * Multisample BAM QC: added novel statistics report and global coverage plot (suggested by Angela Heck )
    * RNA-seq QC: fixed the numbers of reads computation for paired-end reads (reported by Priyanka Jain )
    * Documentation: updates in BAM QC, Multisample BAM QC, RNA-seq QC
 

Version 2.1.3 - October 29, 2015
----------------------------------

    * Fixed a problem with removal of provided existing output folder in command line mode (reported by Nathan McNeil)
    * BAM QC: added the mm10 GC-content distribution template (suggested by Priyank Shukla )
    * BAM QC: fixed issue with report of duplication rate in regions ( thanks to Christian for report )
    * BAM QC: stabilzed default text output number format (reported by Max Koeppel and Henri-Jean Garchon )
    * Counts QC: fixed issues with single sample adaption ( reported by Yung-Chih Lai )
    * Documentation: update introudction, BAM QC, RNA-seq QC and F.A.Q. blocks
 

Version 2.1.2 - September 23, 2015
----------------------------------
+2 −2
Original line number Diff line number Diff line
@@ -63,7 +63,7 @@ done
shell_path=`dirname "$prg"`;
absolute=`echo $shell_path | grep "^/"`;

if [ -z $absolute ]
if [ -z "$absolute" ]
then
	export QUALIMAP_HOME="`pwd`/$shell_path"
else 
@@ -77,7 +77,7 @@ fi

set -o errexit

java $java_options -classpath $QUALIMAP_HOME/qualimap.jar:$QUALIMAP_HOME/lib/* org.bioinfo.ngs.qc.qualimap.main.NgsSmartMain "${ARGS[@]}"
java $java_options -classpath "$QUALIMAP_HOME"/qualimap.jar:"$QUALIMAP_HOME"/lib/* org.bioinfo.ngs.qc.qualimap.main.NgsSmartMain "${ARGS[@]}"

if [ -n "$OUTPUT_ADDITIONAL_HELP" ]; then 
    echo "Special arguments: "
Loading